## org.apache.html.dom
Class HTMLAreaElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLAreaElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLAreaElement, org.w3c.dom.html.HTMLElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLAreaElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLAreaElement

Version:
  $Revision: 329271 $ $Date: 2005-10-28 15:25:05 -0400 (Fri, 28 Oct 2005) $
Author:
  Assaf Arkin
See Also:
  `HTMLAreaElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLAreaElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getAccessKey()`
`java.lang.String` `getAlt()`
`java.lang.String` `getCoords()`
`java.lang.String` `getHref()`
`boolean` `getNoHref()`
`java.lang.String` `getShape()`
`int` `getTabIndex()`
`java.lang.String` `getTarget()`
`void` `setAccessKey(java.lang.String accessKey)`
`void` `setAlt(java.lang.String alt)`
`void` `setCoords(java.lang.String coords)`
`void` `setHref(java.lang.String href)`
`void` `setNoHref(boolean noHref)`
`void` `setShape(java.lang.String shape)`
`void` `setTabIndex(int tabIndex)`
`void` `setTarget(java.lang.String target)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLAreaElementImpl

    public HTMLAreaElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAccessKey

    public java.lang.String getAccessKey()

  Specified by:
    `getAccessKey` in interface `org.w3c.dom.html.HTMLAreaElement`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    `setAccessKey` in interface `org.w3c.dom.html.HTMLAreaElement`

### getAlt

    public java.lang.String getAlt()

  Specified by:
    `getAlt` in interface `org.w3c.dom.html.HTMLAreaElement`

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    `setAlt` in interface `org.w3c.dom.html.HTMLAreaElement`

### getCoords

    public java.lang.String getCoords()

  Specified by:
    `getCoords` in interface `org.w3c.dom.html.HTMLAreaElement`

### setCoords

    public void setCoords(java.lang.String coords)

  Specified by:
    `setCoords` in interface `org.w3c.dom.html.HTMLAreaElement`

### getHref

    public java.lang.String getHref()

  Specified by:
    `getHref` in interface `org.w3c.dom.html.HTMLAreaElement`

### setHref

    public void setHref(java.lang.String href)

  Specified by:
    `setHref` in interface `org.w3c.dom.html.HTMLAreaElement`

### getNoHref

    public boolean getNoHref()

  Specified by:
    `getNoHref` in interface `org.w3c.dom.html.HTMLAreaElement`

### setNoHref

    public void setNoHref(boolean noHref)

  Specified by:
    `setNoHref` in interface `org.w3c.dom.html.HTMLAreaElement`

### getShape

    public java.lang.String getShape()

  Specified by:
    `getShape` in interface `org.w3c.dom.html.HTMLAreaElement`

### setShape

    public void setShape(java.lang.String shape)

  Specified by:
    `setShape` in interface `org.w3c.dom.html.HTMLAreaElement`

### getTabIndex

    public int getTabIndex()

  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLAreaElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLAreaElement`

### getTarget

    public java.lang.String getTarget()

  Specified by:
    `getTarget` in interface `org.w3c.dom.html.HTMLAreaElement`

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    `setTarget` in interface `org.w3c.dom.html.HTMLAreaElement`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.